curl --request POST \
--url https://api.hubapi.com/cms/v3/source-code/{environment}/content/{path} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'{
"createdAt": 123,
"folder": true,
"id": "<string>",
"name": "<string>",
"updatedAt": 123,
"archivedAt": 123,
"children": [
"<string>"
],
"hash": "<string>"
}指定された環境の指定されたパスにファイルが作成されます。マルチパート/フォームデータのコンテンツタイプが受け入れられます。指定されたパスにファイルがすでにある場合は、エラーがスローされます。
curl --request POST \
--url https://api.hubapi.com/cms/v3/source-code/{environment}/content/{path} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'{
"createdAt": 123,
"folder": true,
"id": "<string>",
"name": "<string>",
"updatedAt": 123,
"archivedAt": 123,
"children": [
"<string>"
],
"hash": "<string>"
}サポートされる製品
必須スコープ
The access token received from the authorization server in the OAuth 2.0 flow.
successful operation
オブジェクトが最初に作成された時点のタイムスタンプ。
このパスがフォルダーを参照するかどうかが決定されます。
CMS開発者ファイルシステムにおけるファイルのパス。
ファイルの名前。
オブジェクトが最後に更新された時点のタイムスタンプ。
オブジェクトがアーカイブ(削除)された時点のタイムスタンプ。
オブジェクトがフォルダーの場合は、フォルダー内のファイルのファイル名が含まれます。
データの整合性の確認に使用される、ファイルの内容の固有ID。